function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var reactFontawesome = require('@fortawesome/react-fontawesome');
var fa = _interopDefault(require('@fortawesome/fontawesome-free-solid'));
var React = require('react');
var React__default = _interopDefault(React);
var react = require('swiper/react');

// A type of promise-like that resolves synchronously and supports only one observer

const _iteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.iterator || (Symbol.iterator = Symbol("Symbol.iterator"))) : "@@iterator";

const _asyncIteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.asyncIterator || (Symbol.asyncIterator = Symbol("Symbol.asyncIterator"))) : "@@asyncIterator";

// Asynchronously call a function and send errors to recovery continuation
function _catch(body, recover) {
	try {
		var result = body();
	} catch(e) {
		return recover(e);
	}
	if (result && result.then) {
		return result.then(void 0, recover);
	}
	return result;
}

var Icon = function Icon(props) {
  var _props$iconClass;

  return React__default.createElement(reactFontawesome.FontAwesomeIcon, {
    icon: (_props$iconClass = props.iconClass) != null ? _props$iconClass : props.iconFa && fa['fa' + props.iconFa]
  });
};

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];

      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }

    return target;
  };
  return _extends.apply(this, arguments);
}

var inputHeight = "h-12";
var InputText = function InputText(props) {
  var pattern = "";

  if (props.type === "float") {
    pattern = "[+-]?\\d+(?:[.,]\\d+)?";
  }

  var _useState = React.useState('text'),
      type = _useState[0],
      setType = _useState[1];

  React.useEffect(function () {
    if (props.type === 'password') {
      setType('password');
    } else {
      setType('text');
    }
  }, [props.type]);

  var onChange = function onChange(e) {
    var _props$errorHandler, _props$errorHandler2;

    if (props.object) {
      props.object[props.objectKey] = e.target.value;
    }

    ((_props$errorHandler = props.errorHandler) === null || _props$errorHandler === void 0 ? void 0 : _props$errorHandler.runValidations) && ((_props$errorHandler2 = props.errorHandler) === null || _props$errorHandler2 === void 0 ? void 0 : _props$errorHandler2.runValidations());
    props.changed && props.changed({
      event: e,
      label: props.label,
      key: props.objectKey,
      object: props.object,
      initValue: props.value,
      currentValue: e.target.value
    });
  };

  var _useState2 = React.useState(props.value),
      value = _useState2[0],
      setValue = _useState2[1];

  React.useEffect(function () {
    if (props.objectKey && props.object) {
      setValue(_extends({}, props.object)[props.objectKey]);
    } else if (props.hasOwnProperty("value")) {
      setValue(props.value);
    }
  }, [props.object, props.value]);
  return React.createElement("div", {
    className: "flex flex-col w-full items-start " + (props.disabled ? "disabled" : "")
  }, React.createElement("div", {
    className: "item-field-label flex font-bold text-gray-luce text-left mb-1"
  }, props.label), React.createElement("div", {
    className: "flex fle-col w-full relative"
  }, React.createElement("input", {
    className: inputHeight + " w-full flex rounded border border-gray-primary p-2 text-grey-luce placeholder-grey-light " + (props.inputClass || ""),
    pattern: pattern,
    disabled: props.disabled,
    type: type,
    onKeyPress: function onKeyPress(event) {
      if (props.type === "float") {
        if (!/[0-9,]/.test(event.key)) {
          event.preventDefault();
        }
      }

      props.pressed && props.pressed(event);
    },
    inputMode: props.type === "float" ? "decimal" : "text",
    onChange: onChange,
    onBlur: function onBlur(e) {
      if (props.object) {
        props.object[props.objectKey] = e.target.value;
      }

      props.out && props.out({
        event: e,
        label: props.label,
        key: props.objectKey,
        object: props.object,
        initValue: props.value,
        currentValue: e.target.value
      });
    },
    placeholder: props.placeholder,
    defaultValue: value
  }), props.errorHandler && props.errorHandler.icon, props.type === 'password' && React.createElement("div", {
    className: "flex w-4 h-4 absolute right-4 top-4",
    onClick: function onClick() {
      setType(type === 'password' ? 'text' : 'password');
    }
  }, type === 'password' ? React.createElement(Icon, {
    iconFa: 'Eye'
  }) : React.createElement(Icon, {
    iconFa: 'EyeSlash'
  }))), props.errorHandler && props.errorHandler.messageBox || "");
};

var inputHeight$1 = 'h-12';

var parseBoolean = function parseBoolean(a, b) {
  return typeof a === 'boolean' ? typeof b !== 'undefined' && String(a) === String(b) : a === b;
};

var InputSelect = function InputSelect(props) {
  var _props$errorHandler3, _props$errorHandler4;

  var options = props["default"] ? props.values || [props["default"]] : props.values || [];

  var pick = function pick(v) {
    var _props$values;

    var _v = (typeof v !== 'undefined' ? v : props.value || props["default"]) || props.values[0];

    if (_v.value !== undefined) {
      _v = _v.value;
    }

    var fValue = (_props$values = props.values) === null || _props$values === void 0 ? void 0 : _props$values.find(function (f) {
      return f.label === _v || parseBoolean(f.value, _v);
    });
    var r = fValue !== undefined && fValue !== null ? fValue.value : fValue;
    r = r !== undefined && r !== null ? r : undefined;
    return r;
  };

  var _useState = React.useState(pick()),
      value = _useState[0],
      setValue = _useState[1];

  React.useEffect(function () {
    if (props["default"] !== 'undefined') {
      setValue(pick(props["default"]));
    }
  }, [props.values, props["default"]]);
  React.useEffect(function () {
    if (props.value !== 'undefined') {
      setValue(pick(props.value));
    }
  }, [props.values, props.value]);
  return React.createElement("div", {
    className: "flex flex-col w-full items-start cursor-pointer relative " + (props.disabled ? 'disabled' : '')
  }, props.label && React.createElement("div", {
    className: 'item-field-label font-bold text-gray-luce text-left mb-1'
  }, props.label), React.createElement("img", {
    className: 'w-3 absolute bottom-6 right-2 transform translate-y-1/2',
    src: '/images/icons/icon_navigation_caret-down.svg',
    alt: ''
  }), React.createElement("select", {
    className: inputHeight$1 + " rounded cursor-pointer pl-2 pr-8 border border-gray-primary p-1 w-full text-gray-luce appearance-none " + (props.inputClass || ''),
    disabled: props.disabled,
    onChange: function onChange(e) {
      var _props$values2, _props$errorHandler, _props$errorHandler2;

      var _v = e.target.value;

      if (props.object) {
        props.object[props.objectKey] = _v;
      }

      var val = (_props$values2 = props.values) === null || _props$values2 === void 0 ? void 0 : _props$values2.find(function (v) {
        return v.label === _v || parseBoolean(v.value, _v);
      });
      _v = val !== undefined && val !== null ? val === null || val === void 0 ? void 0 : val.value : undefined;
      _v = _v !== undefined && _v !== null ? _v : undefined;
      setValue(_v);
      ((_props$errorHandler = props.errorHandler) === null || _props$errorHandler === void 0 ? void 0 : _props$errorHandler.runValidations) && ((_props$errorHandler2 = props.errorHandler) === null || _props$errorHandler2 === void 0 ? void 0 : _props$errorHandler2.runValidations(_v));
      props.changed && props.changed({
        event: e,
        label: props.label,
        key: props.objectKey,
        object: props.object,
        initValue: props.value,
        currentValue: _v,
        currentSelected: val
      });
      props.out && props.out({
        event: e,
        label: props.label,
        key: props.objectKey,
        object: props.object,
        initValue: props.value,
        currentValue: _v,
        currentSelected: val
      });
    },
    value: value
  }, options === null || options === void 0 ? void 0 : options.map(function (o, k) {
    return React.createElement("option", {
      key: k,
      value: o.value
    }, o.label);
  })), (_props$errorHandler3 = props.errorHandler) === null || _props$errorHandler3 === void 0 ? void 0 : _props$errorHandler3.icon, ((_props$errorHandler4 = props.errorHandler) === null || _props$errorHandler4 === void 0 ? void 0 : _props$errorHandler4.messageBox) || '');
};

var InputCheckbox = function InputCheckbox(props) {
  var _useState = React.useState(props.value || false),
      isChecked = _useState[0],
      setChecked = _useState[1];

  React.useEffect(function () {
    var _props$errorHandler, _props$errorHandler2;

    setChecked(!!props.value);
    ((_props$errorHandler = props.errorHandler) === null || _props$errorHandler === void 0 ? void 0 : _props$errorHandler.runValidations) && ((_props$errorHandler2 = props.errorHandler) === null || _props$errorHandler2 === void 0 ? void 0 : _props$errorHandler2.runValidations());
  }, [props.value]);

  var handleChange = function handleChange() {};

  var handleClick = function handleClick() {
    if (props.object) {
      props.object[props.objectKey] = !isChecked;
    }

    setChecked(!isChecked);
    var event = {
      event: null,
      label: props.label,
      key: props.objectKey,
      object: props.object,
      initValue: props.value,
      currentValue: !isChecked
    };
    props.clicked && props.clicked(event);
    props.out && props.out(event);
  };

  return React.createElement("label", {
    className: "flex gap-2 w-full items-center cursor-pointer"
  }, React.createElement("div", {
    className: "item-field-checkbox relative"
  }, React.createElement("div", {
    className: "cb-icon w-5 h-5 border border-plum rounded-sm"
  }), isChecked && React.createElement("div", {
    className: "absolute top-0 left-0 w-5 h-5 bg-gradient-to-bl from-luceplum to-lavender rounded-sm"
  }, React.createElement("img", {
    src: "/images/icons/check.svg",
    className: "absolute w-3 top-1/2 transform -translate-y-1/2 left-1"
  }))), React.createElement("div", {
    className: "item-field-label w-full font-bold text-plum"
  }, props.label), React.createElement("input", {
    onClick: handleClick,
    onChange: handleChange,
    checked: isChecked,
    readOnly: true,
    type: "checkbox",
    hidden: true
  }));
};

var inputHeight$2 = '';
var Input = function Input(props) {
  var _useState = React.useState(!!props.disabled),
      isDisabled = _useState[0],
      setDisabled = _useState[1];

  var _useState2 = React.useState([]),
      errors = _useState2[0],
      setErrors = _useState2[1];

  var showErr = function showErr() {
    var _props$validatePendin;

    return props.objectKey && ((_props$validatePendin = props.validatePending) === null || _props$validatePendin === void 0 ? void 0 : _props$validatePendin.includes(props.objectKey)) || !!props.showErrors;
  };

  var _React$useState = React.useState(showErr()),
      showErrors = _React$useState[0],
      setShowErrors = _React$useState[1];

  var _React$useState2 = React.useState(!!props.showErrorMessages),
      showErrorMessages = _React$useState2[0];

  if (typeof props.disabled === 'object') {
    props.disabled.subscribe(function (d) {
      return setDisabled(d);
    });
  }

  var value = null;

  var setValue = function setValue() {
    if (props.objectKey && props.object) {
      value = _extends({}, props.object)[props.objectKey];
    } else if (props.hasOwnProperty('value')) {
      value = props.value;
    } else if (props.hasOwnProperty('checked')) {
      value = props.checked;
    }

    return value;
  };

  setValue();

  var _React$useState3 = React.useState(value),
      isChecked = _React$useState3[0],
      setChecked = _React$useState3[1];

  React.useEffect(function () {
    return setShowErrors(showErr());
  }, [props.showErrors, props.validatePending]);
  React.useEffect(function () {
    setChecked(!!setValue());
    runValidations();
  }, [props.value]);
  var classError = props.showErrors && (errors === null || errors === void 0 ? void 0 : errors.length) && 'border-alert text-alert placeholder-alert focus:outline-none focus:ring-alert focus:border-alert' || '';

  var handleClick = function handleClick() {
    if (props.object) {
      props.object[props.objectKey] = !isChecked;
    }

    setChecked(!isChecked);
    props.out && props.out({
      event: null,
      label: props.label,
      key: props.objectKey,
      object: props.object,
      initValue: value,
      currentValue: !isChecked
    });
  };

  var runValidations = function runValidations(v3) {
    var _props$validatePendin2, _props$object2;

    var iv = null;

    if (props.object && (_props$validatePendin2 = props.validatePending) !== null && _props$validatePendin2 !== void 0 && _props$validatePendin2.includes(props.objectKey)) {
      var _props$object;

      props.object.inputValidations = ((_props$object = props.object) === null || _props$object === void 0 ? void 0 : _props$object.inputValidations) || {};
      props.object.inputValidations[props.objectKey] = {
        required: true
      };
    }

    iv = (_props$object2 = props.object) === null || _props$object2 === void 0 ? void 0 : _props$object2.inputValidations;
    var err = [];

    if (iv && props.objectKey && props.object) {
      var v = iv && iv[props.objectKey];
      var v2 = v3 !== undefined ? v3 : props.object && props.object[props.objectKey];

      if (v) {
        if (v.required) {
          if (!(v2 !== null && v2 !== void 0 && v2.toString().length)) {
            err.push({
              "class": 'required',
              msg: props.label + ' is required'
            });
          }
        }

        if (v.requiredIf) {
          if (v.requiredIf.objectKey) {
            var compare = props.object && props.object[v.requiredIf.objectKey];

            if (v.requiredIf.parse === 'json') {
              try {
                compare = typeof compare !== 'undefined' && compare !== null && JSON.parse(compare);
              } catch (e) {}
            }

            if (typeof v.requiredIf.equal !== 'undefined' && compare === v.requiredIf.equal) {
              if (!(v2 !== null && v2 !== void 0 && v2.toString().length)) {
                err.push({
                  "class": 'required',
                  msg: props.label + ' is required'
                });
              }
            }
          }
        }

        props.object.inputValidations[props.objectKey].errors = err;
      }
    }

    setErrors(err);
  };

  var errorHandler = function errorHandler() {
    return {
      runValidations: runValidations,
      icon: showErrors && (errors === null || errors === void 0 ? void 0 : errors.length) && React.createElement("div", {
        className: "absolute top-1/2 transform -translate-y-1/2 ml-auto right-" + (/date|select/.test(props.type) ? '4' : '0') + " pr-3 flex items-center pointer-events-none"
      }, React.createElement("svg", {
        className: 'h-5 w-5 text-alert',
        xmlns: 'http://www.w3.org/2000/svg',
        viewBox: '0 0 20 20',
        fill: 'currentColor',
        "aria-hidden": 'true'
      }, React.createElement("path", {
        fillRule: 'evenodd',
        d: 'M18 10a8 8 0 11-16 0 8 8 0 0116 0zm-7 4a1 1 0 11-2 0 1 1 0 012 0zm-1-9a1 1 0 00-1 1v4a1 1 0 102 0V6a1 1 0 00-1-1z',
        clipRule: 'evenodd'
      }))) || '',
      messageBox: showErrors && showErrorMessages && !!(errors !== null && errors !== void 0 && errors.length) ? React.createElement("div", {
        className: 'error-messages-box  text-alert'
      }, errors.map(function (e, k) {
        return React.createElement("span", {
          key: k,
          className: 'error-message'
        }, e.msg);
      })) : ''
    };
  };

  var input = '';

  if (props.type === 'file') ; else if (/text-type|float-type|number-type/.test(props.type)) ; else if (props.type === 'check-text') ; else if (props.type === 'textbox') ; else if (/text|float|password/.test(props.type)) {
    input = React.createElement(InputText, {
      label: props.label,
      type: props.type,
      object: props.object,
      objectKey: props.objectKey,
      placeholder: props.placeholder,
      inputClass: showErrors && (errors === null || errors === void 0 ? void 0 : errors.length) && classError || '',
      errorHandler: errorHandler(),
      pressed: props.pressed,
      value: props.value,
      out: props.out,
      disabled: props.disabled
    });
  } else if (props.type === 'select') {
    input = React.createElement(InputSelect, {
      label: props.label,
      object: props.object,
      objectKey: props.objectKey,
      values: props.values,
      "default": value,
      inputClass: showErrors && (errors === null || errors === void 0 ? void 0 : errors.length) && classError || '',
      value: props.value,
      errorHandler: errorHandler(),
      changed: props.changed,
      out: props.out,
      disabled: props.disabled
    });
  } else if (props.type === 'date') {
    input = React.createElement("div", {
      className: 'flex flex-col w-full items-start cursor-pointer'
    }, React.createElement("div", {
      className: 'item-field-label text-gray-luce mb-1 font-bold'
    }, props.label), React.createElement("div", {
      className: 'flex flex-col w-full  relative'
    }, React.createElement("input", {
      className: inputHeight$2 + " w-full rounded border border-gray-primary p-2 text-gray-luce " + (classError || ''),
      type: 'date',
      onBlur: function onBlur(e) {
        props.out && props.out({
          event: e,
          label: props.label,
          key: props.objectKey,
          object: props.object,
          initValue: value,
          currentValue: e.target.value
        });
      },
      onChange: function onChange(e) {
        if (props.object) {
          props.object[props.objectKey] = e.target.value;
        }

        errorHandler().runValidations();
        props.changed && props.changed({
          event: e,
          label: props.label,
          key: props.objectKey,
          object: props.object,
          initValue: value,
          currentValue: e.target.value
        });
      },
      defaultValue: value,
      placeholder: props.placeholder
    }), errorHandler().icon), errorHandler().messageBox);
  } else if (props.type === 'number') {
    input = React.createElement("div", {
      className: 'flex flex-col w-full items-start'
    }, React.createElement("div", {
      className: 'item-field-label flex text-gray-luce text-left'
    }, props.label), React.createElement("input", {
      className: inputHeight$2 + " w-full flex rounded-sm border p-2 placeholder-gray-400",
      type: 'number',
      onChange: function onChange(e) {
        if (props.object) {
          props.object[props.objectKey] = e.target.value;
        }

        props.changed && props.changed({
          event: e,
          label: props.label,
          key: props.objectKey,
          object: props.object,
          initValue: value,
          currentValue: e.target.value
        });
      },
      onBlur: function onBlur(e) {
        if (props.object) {
          props.object[props.objectKey] = e.target.value;
        }

        props.out && props.out({
          event: e,
          label: props.label,
          key: props.objectKey,
          object: props.object,
          initValue: value,
          currentValue: e.target.value
        });
      },
      placeholder: props.placeholder,
      defaultValue: value
    }), errorHandler().messageBox);
  } else if (props.type === 'checkbox') {
    input = React.createElement(InputCheckbox, {
      label: props.label,
      type: props.type,
      object: props.object,
      objectKey: props.objectKey,
      errorHandler: errorHandler(),
      inputClass: showErrors && (errors === null || errors === void 0 ? void 0 : errors.length) && classError || '',
      value: value,
      out: props.out,
      disabled: props.disabled
    });
  } else if (props.type === 'switch') {
    input = React.createElement("label", {
      className: "input-switch flex gap-2 " + inputHeight$2 + " w-full items-start cursor-pointer " + (isChecked ? 'on' : 'off')
    }, React.createElement("div", {
      className: 'input-switch-wrapper h-full flex flex-col w-8'
    }, React.createElement("div", {
      className: 'input-switch-bar-wrapper w-full relative flex m-auto'
    }, React.createElement("div", {
      className: 'switch-bar rounded-lg w-full h-4'
    }), React.createElement("div", {
      className: "switch-dot bg-white absolute w-3 h-3 rounded-full " + (isChecked ? 'checked' : '')
    }))), React.createElement("div", {
      className: 'item-field-label w-full h-full text-black flex flex-col text-left justified-center'
    }, React.createElement("span", {
      className: 'my-auto text-sm'
    }, props.label)), React.createElement("input", {
      onClick: handleClick,
      checked: isChecked,
      readOnly: true,
      onBlur: function onBlur(e) {
        props.out && props.out({
          event: e,
          label: props.label,
          key: props.objectKey,
          object: props.object,
          initValue: value,
          currentValue: e.target.value
        });
      },
      onChange: function onChange(e) {
        return props.changed && props.changed({
          event: e,
          label: props.label,
          key: props.objectKey,
          object: props.object,
          initValue: props.value,
          currentValue: e.target.checked
        });
      },
      type: 'checkbox',
      hidden: true
    }), errorHandler().messageBox);
  }

  React.useEffect(function () {
    return runValidations();
  }, [props]);
  return React.createElement("div", {
    className: "item-field text-sm md:text-base flex flex-col items-start relative " + props.inlineClass + " " + (showErrors && 'show-errors') + "  " + (isDisabled ? 'disabled' : '') + " " + errors.map(function (e) {
      return e["class"];
    }).join(' ')
  }, React.createElement("div", {
    className: 'flex w-full justify-center'
  }, input));
};

var Form = function Form(props) {
  var _props$inputs, _props$inputs2;

  var _formData = {};
  (_props$inputs = props.inputs) === null || _props$inputs === void 0 ? void 0 : _props$inputs.forEach(function (fi) {
    _formData[fi.keyName] = null;
  });

  var inputKeyPressed = function inputKeyPressed(e) {
    if (e.which === 13) {
      e.preventDefault();
      props.submitted && props.submitted(_formData);
    }
  };

  return React__default.createElement("div", {
    className: 'form flex flex-col w-full'
  }, props.header && React__default.createElement("div", null, props.header), (_props$inputs2 = props.inputs) === null || _props$inputs2 === void 0 ? void 0 : _props$inputs2.map(function (fi, k) {
    return React__default.createElement(Input, {
      key: k,
      iconClass: fi.iconClass,
      type: fi.type,
      object: _formData,
      objectKey: fi.keyName,
      label: fi.label,
      pressed: inputKeyPressed,
      placeholder: fi.placeholder
    });
  }), props.submitter && React__default.createElement("div", {
    className: 'flex w-full'
  }, React__default.createElement("div", {
    className: 'w-full',
    onClick: function onClick() {
      return props.submitted && props.submitted(_formData);
    }
  }, props.submitter)));
};

var Login = function Login(props) {
  var _props$inputs, _props$inlineClass, _ref, _props$headerContent, _props$logoClass, _props$logoIMGClass;

  var inputs = (_props$inputs = props.inputs) != null ? _props$inputs : [{
    placeholder: 'Email',
    keyName: 'email',
    type: 'text'
  }, {
    placeholder: 'Password',
    keyName: 'password',
    type: 'password'
  }];

  var login = function login(data) {
    try {
      var _temp2 = _catch(function () {
        return Promise.resolve(props.signInFn).then(function (resultSignIn) {
          props.onSuccess && props.onSuccess(resultSignIn, data);
        });
      }, function (e) {
        props.onFail && props.onFail(e);
      });

      return Promise.resolve(_temp2 && _temp2.then ? _temp2.then(function () {}) : void 0);
    } catch (e) {
      return Promise.reject(e);
    }
  };

  return React__default.createElement("div", {
    className: "Login " + ((_props$inlineClass = props.inlineClass) != null ? _props$inlineClass : 'flex h-full')
  }, React__default.createElement("div", {
    className: 'flex w-60 m-auto'
  }, React__default.createElement(Form, {
    header: (_ref = (_props$headerContent = props.headerContent) != null ? _props$headerContent : props.logo && React__default.createElement("div", {
      className: 'flex'
    }, React__default.createElement("div", {
      className: "logo-wrapper " + ((_props$logoClass = props.logoClass) != null ? _props$logoClass : 'flex justify-center items-center w-full h-20') + " "
    }, React__default.createElement("img", {
      className: "logo-img " + ((_props$logoIMGClass = props.logoIMGClass) != null ? _props$logoIMGClass : 'm-auto h-full w-full object-contain'),
      src: props.logo,
      alt: 'logo'
    })))) != null ? _ref : React__default.createElement("div", null),
    submitter: React__default.createElement("div", {
      className: 'flex w-full justify-center my-4'
    }, React__default.createElement(Icon, {
      iconFa: 'SignInAlt'
    })),
    inputs: inputs,
    submitted: function submitted(data) {
      login(data);
    }
  })), props.forgetPassword && React__default.createElement("div", {
    className: 'forget-password flex w-full'
  }, React__default.createElement("div", null, props.forgetPassword.label)));
};

var Tabs = function Tabs(props) {
  var _props$tabs, _props$footerClass, _props$tabs2;

  var tabButtons = [];
  var swiper = React.useRef({});

  var goTab = function goTab(id) {
    var index = tabButtons === null || tabButtons === void 0 ? void 0 : tabButtons.findIndex(function (i) {
      return i.id === id;
    });
    swiper.current.slideTo(index, 0);
  };

  React.useEffect(function () {}, []);
  return React__default.createElement("div", {
    className: 'h-full w-full flex flex-col'
  }, React__default.createElement("div", {
    className: 'swiper-tabs swiper h-full'
  }, React__default.createElement(react.Swiper, {
    navigation: true,
    onSwiper: function onSwiper(swiper) {
      return console.log(swiper);
    },
    onSlideChange: function onSlideChange(s) {
      console.log('slide changed');
      props.tabChanged && props.tabChanged({
        swiper: s,
        index: s.activeIndex,
        tabs: props.tabs
      });
    }
  }, (_props$tabs = props.tabs) === null || _props$tabs === void 0 ? void 0 : _props$tabs.map(function (tb, i) {
    return React__default.createElement(react.SwiperSlide, {
      key: i,
      virtualIndex: i
    }, tb.content);
  }))), React__default.createElement("div", {
    className: "tabs-footer flex w-full justify-evenly " + ((_props$footerClass = props.footerClass) != null ? _props$footerClass : '')
  }, (_props$tabs2 = props.tabs) === null || _props$tabs2 === void 0 ? void 0 : _props$tabs2.map(function (tb, i) {
    return React__default.createElement("div", {
      key: i,
      className: "tab-label-button w-full justify-center flex items-center " + (i === (swiper === null || swiper === void 0 ? void 0 : swiper.activeIndex) ? 'active' : ''),
      onClick: function onClick() {
        return goTab(tb.id);
      }
    }, tb.iconFa && React__default.createElement(Icon, {
      iconFa: tb.iconFa
    }), tb.label && React__default.createElement("span", null, tb.label));
  })));
};

exports.Login = Login;
exports.Tabs = Tabs;
//# sourceMappingURL=index.js.map
